Bug 24283 - Missing close parens and closing strong tag in course reserves
Summary: Missing close parens and closing strong tag in course reserves
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Course reserves (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-12-20 11:28 UTC by Nick Clemens
Modified: 2020-01-13 22:58 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.02


Attachments
Bug 24283: (bug 21446 follow-up) close strong and add missing parens (1.88 KB, patch)
2019-12-20 11:31 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24283: (bug 21446 follow-up) close strong and add missing parens (1.94 KB, patch)
2019-12-22 10:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-12-20 11:28:37 UTC

    
Comment 1 Nick Clemens 2019-12-20 11:31:42 UTC
Created attachment 96514 [details] [review]
Bug 24283: (bug 21446 follow-up) close strong and add missing parens

To Test:
1) Create a course in course reserves, make it inactive
2) Add an item to it, changing item type and location
3) Make the course enabled
4) Note that the normal item type is no longer bold and has both opening and closing parentheses; Note that the normal location is also not bold and has both opening and closing parentheses.
5) Disable the course
6) Note that the normal item type is in bold with an opening parentheses but no closing parentheses; Note that the normal location is in bold with both opening and closing parentheses.
7) Apply patch
8) Note view is fixed
Comment 2 Katrin Fischer 2019-12-22 10:41:47 UTC
Created attachment 96566 [details] [review]
Bug 24283: (bug 21446 follow-up) close strong and add missing parens

To Test:
1) Create a course in course reserves, make it inactive
2) Add an item to it, changing item type and location
3) Make the course enabled
4) Note that the normal item type is no longer bold and has both opening and closing parentheses; Note that the normal location is also not bold and has both opening and closing parentheses.
5) Disable the course
6) Note that the normal item type is in bold with an opening parentheses but no closing parentheses; Note that the normal location is in bold with both opening and closing parentheses.
7) Apply patch
8) Note view is fixed

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Martin Renvoize 2019-12-23 12:09:43 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 4 Joy Nelson 2020-01-12 19:03:22 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 5 Lucas Gass 2020-01-13 22:58:13 UTC
backported to 19.05.x for 19.05.07